import { PinTypeWithNone } from '../PinsList.types';

export const getPinColor = (type: PinTypeWithNone): string => {
  const pinColors: Record<PinTypeWithNone, string> = {
    bioEntity: 'fill-primary-500',
    drugs: 'fill-orange',
    chemicals: 'fill-purple',
    mirna: 'fill-pink',
    none: 'none',
  };

  return pinColors[type];
};
