import { BioEntitiesAccordion } from '@/components/Map/Drawer/SearchDrawerWrapper/GroupedSearchResults/BioEntitiesAccordion';
import { DrugsAccordion } from '@/components/Map/Drawer/SearchDrawerWrapper/GroupedSearchResults/DrugsAccordion';
import { ChemicalsAccordion } from '@/components/Map/Drawer/SearchDrawerWrapper/GroupedSearchResults/ChemicalsAccordion';
import { MirnaAccordion } from '@/components/Map/Drawer/SearchDrawerWrapper/GroupedSearchResults/MirnaAccordion';
import { Accordion } from '@/shared/Accordion';

export const CLOSE_BUTTON_ROLE = 'close-drawer-button';

export const GroupedSearchResults = (): JSX.Element => {
  return (
    <div className="flex flex-col" data-testid="grouped-search-results">
      <div className="px-6">
        <Accordion allowZeroExpanded>
          <BioEntitiesAccordion />
          <DrugsAccordion />
          <ChemicalsAccordion />
          <MirnaAccordion />
        </Accordion>
      </div>
    </div>
  );
};
